/*
 * lsc_error.h
 *
 * Copyright (C) 2019		Denovolab Ltd.
 * 				Andrew Clayton <andrew@zeta.digital-domain.net>
 */

#ifndef _LSC_ERROR_H_
#define _LSC_ERROR_H_

#ifdef __cplusplus
extern "C" {
#endif

enum lsc_error {
	LSC_ERR_NONE = 0,
	LSC_ERR_AD_SVM_LOAD,
	LSC_ERR_AD_JSGF_CREATE,
	LSC_ERR_AD_NO_WORDS,
	LSC_ERR_AD_WAV_LOAD,
};

#pragma GCC visibility push(default)

extern const char *lsc_err2str(int error);

#pragma GCC visibility pop

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* _LSC_ERROR_H_ */
